<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="bast_stnk" pageWidth="612" pageHeight="396" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="572" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="76abfd3b-5876-4703-ac90-260a223dd5d7">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="UAT"/>
	<property name="com.jaspersoft.studio.unit." value="inch"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="inch"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="inch"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="inch"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="inch"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="inch"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="inch"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="inch"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="inch"/>
	<parameter name="bastnumber" class="java.lang.String"/>
	<parameter name="nama" class="java.lang.String"/>
	<parameter name="nik" class="java.lang.String"/>
	<parameter name="notlp" class="java.lang.String"/>
	<queryString language="SQL">
		<![CDATA[select distinct 
		a.idreq, 
		h.name as 'Dealer', 
		isnull(a.bastnumber,'') as  bastnumber,
		a.name as 'Nama Pengambil', 
		ISNULL(e.cellphone1,org.picphone) AS cellphone, 
		j.description as 'Tipe Pembelian', 
		isnull(n.name,' ') as 'Nama Leasing', 
		f.description, 
		CASE 
			WHEN e.fname is null THEN org.name
			ELSE concat(e.fname,' ',e.lname)
			END as 'Nama STNK', 
		c.idframe, 
		c.idmachine, 
		i.description as itemdes, 
		isnull(b.policenumber,' ') as policenumber,
		dt.description as tipedoc,
		a.dtreceipt,
		concat(posper.fname,' ',posper.lname) as namaadm,
		concat(ptper.fname,' ',ptper.lname) as namaafc,
		concat(prs.fname,' ',prs.lname) as namaSales
		-- dtstnk.description,
		-- dtn.description
	FROM vehicle_document_requirement b
	LEFT JOIN unit_deliverable a  ON a.idreq = b.idreq and iddeltype in (101, 102, 104) 
	LEFT JOIN vehicle c ON (b.idvehicle = c.idvehicle)
	LEFT JOIN person e ON (b.idpersonowner = e.idparty)
	LEFT JOIN organization org ON (b.idorganizationowner = org.idparty)
	LEFT JOIN sale_type f ON (b.idsaletype = f.idsaletype)
	LEFT JOIN internal g ON (b.idinternal = g.idinternal)
	
	LEFT JOIN positions pos on g.idinternal = pos.idinternal and pos.idpostyp = 17
	left join user_mediator um on pos.idusrmed = um.idusrmed
	left join person posper on um.idperson = posper.idparty

	LEFT JOIN positions pt on g.idinternal = pt.idinternal and pt.idpostyp = 16
	left join user_mediator uml on pt.idusrmed = uml.idusrmed
	left join person ptper on uml.idperson = ptper.idparty

	LEFT JOIN organization h ON (g.idparty = h.idparty)
	LEFT JOIN sale_type j ON (b.idsaletype = j.idsaletype)
	LEFT JOIN order_item oi on b.idordite = oi.idordite
	LEFT JOIN product i ON (oi.idproduct = i.idproduct)
	LEFT JOIN orders ordr on oi.idorder = ordr.idorder
	LEFT JOIN vehicle_sales_order vso on ordr.idorder = vso.idorder
	LEFT JOIN sales_unit_requirement k ON (vso.idunitreq = k.idreq)
	LEFT join salesman s on k.idsalesman = s.idparrol
	LEFT join party_role pr on s.idparrol = pr.idparrol
	LEFT join party pty on pr.idparty = pty.idparty
	LEFT join person prs on pty.idparty = prs.idparty
	-- LEFT JOIN leasing_company l ON (k.idleasing = TRY_CONVERT(UNIQUEIDENTIFIER, l.idleacom))
	LEFT JOIN leasing_company l on k.idleasing = l.idparrol
	LEFT JOIN party_role m ON (l.idparrol = m.idparrol)
	LEFT JOIN organization n ON (m.idparty = n.idparty)

	left join deliverable_type dt on a.iddeltype = dt.iddeltype 
	where a.bastnumber = $P{bastnumber} and a.dtreceipt is not null]]>
	</queryString>
	<field name="Dealer" class="java.lang.String"/>
	<field name="bastnumber" class="java.lang.String"/>
	<field name="Nama Pengambil" class="java.lang.String"/>
	<field name="cellphone" class="java.lang.String"/>
	<field name="Tipe Pembelian" class="java.lang.String"/>
	<field name="Nama Leasing" class="java.lang.String"/>
	<field name="description" class="java.lang.String"/>
	<field name="Nama STNK" class="java.lang.String"/>
	<field name="idframe" class="java.lang.String"/>
	<field name="idmachine" class="java.lang.String"/>
	<field name="itemdes" class="java.lang.String"/>
	<field name="policenumber" class="java.lang.String"/>
	<field name="namaSales" class="java.lang.String"/>
	<field name="tipedoc" class="java.lang.String"/>
	<field name="namaadm" class="java.lang.String"/>
	<field name="namaafc" class="java.lang.String"/>
	<variable name="Nama STNK1" class="java.lang.Integer" resetType="Page" calculation="Count">
		<variableExpression><![CDATA[$F{Nama STNK}]]></variableExpression>
	</variable>
	<variable name="description1" class="java.lang.Integer" resetType="Page" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{description}]]></variableExpression>
	</variable>
	<group name="Group1">
		<groupExpression><![CDATA[$F{idframe}]]></groupExpression>
		<groupFooter>
			<band height="2">
				<line>
					<reportElement x="10" y="1" width="560" height="1" uuid="54b24bf1-fb20-44ce-ad78-a6a849934fd8"/>
				</line>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="103" splitType="Stretch">
			<staticText>
				<reportElement x="-20" y="8" width="612" height="16" uuid="885306a9-d4d7-4944-8646-a55f4a03afd9"/>
				<textElement textAlignment="Center">
					<font size="11"/>
				</textElement>
				<text><![CDATA[BERITA  ACARA SERAH TERIMA ]]></text>
			</staticText>
			<textField>
				<reportElement stretchType="ElementGroupHeight" x="-20" y="24" width="612" height="14" uuid="3cad0e74-4ce0-422f-b0ae-5735a3096b07"/>
				<textElement textAlignment="Center">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA["No BAST  : " + $F{bastnumber}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1" y="2" width="158" height="12" uuid="ce89428f-56ab-441d-b986-70ed6f3f25e8"/>
				<textElement>
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Dealer}]]></textFieldExpression>
			</textField>
			<textField pattern="MMMMM dd, yyyy">
				<reportElement x="463" y="1" width="100" height="12" uuid="659e07ba-0486-43f2-860e-cf9a8737a619"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="10" y="40" width="240" height="14" uuid="b1608acc-1c3a-4008-bba2-0039f22c2d0c"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Dengan ini saya yang bertanda tangan dibawah ini :]]></text>
			</staticText>
			<staticText>
				<reportElement x="43" y="55" width="59" height="14" uuid="efec0ae4-8d02-4bc1-93ab-c2ec78961221"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nama	    :]]></text>
			</staticText>
			<staticText>
				<reportElement x="311" y="55" width="84" height="14" uuid="529ae048-c807-4da0-8dd7-dbf7dcbe6036"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[NIK	              :]]></text>
			</staticText>
			<staticText>
				<reportElement x="43" y="69" width="59" height="15" uuid="a26604be-b5e5-448c-b158-821a766ecc1e"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nomor HP     :]]></text>
			</staticText>
			<staticText>
				<reportElement x="311" y="69" width="84" height="15" uuid="e0a156be-a697-4b6f-8545-7583c1ff7bc8"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Tipe Pembelian       :]]></text>
			</staticText>
			<textField>
				<reportElement x="10" y="86" width="310" height="14" uuid="65e073ea-cb81-4f2d-8ad9-78470dfc79b6"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["Telah menerima dokumen dari  "+$F{Dealer}+" berupa  :"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="102" y="55" width="138" height="14" uuid="b22d9a48-7ba2-43a9-b4a4-1d16f1a0aed9"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{nama}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="395" y="55" width="138" height="14" uuid="215e3b2d-d376-45ce-b9b1-ea16308649a6"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{nik}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="395" y="69" width="175" height="15" uuid="1405bd2e-3fc8-467f-ab4d-2b693279cb0e"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Tipe Pembelian}+" - " +$F{Nama Leasing}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="102" y="69" width="138" height="15" uuid="23aa83ca-5581-44ad-b937-416b1ea50f08"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{notlp}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<columnHeader>
		<band height="17">
			<staticText>
				<reportElement x="10" y="0" width="70" height="15" uuid="1581974b-3864-44a7-b163-52b0bda6bc5e"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Dokumen]]></text>
			</staticText>
			<staticText>
				<reportElement x="80" y="0" width="70" height="15" uuid="0af00023-1365-4861-ae6f-3f44ad02e664"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nama STNK]]></text>
			</staticText>
			<staticText>
				<reportElement x="150" y="0" width="88" height="15" uuid="bc2359ed-596f-4ae8-843f-678e3b59e457"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nomor Rangka]]></text>
			</staticText>
			<staticText>
				<reportElement x="238" y="0" width="90" height="15" uuid="9cb4a9cf-d48c-47ba-9958-97862c5ca52b"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nomor Mesin]]></text>
			</staticText>
			<staticText>
				<reportElement x="328" y="0" width="84" height="15" uuid="361bf1c1-8c21-4b1d-9cb6-695ded945bbb"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Deskripsi Tipe]]></text>
			</staticText>
			<staticText>
				<reportElement x="413" y="0" width="54" height="15" uuid="0e9e3f7f-d2cb-45ed-8717-c0145fa4b281"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nomor Polisi]]></text>
			</staticText>
			<staticText>
				<reportElement x="468" y="0" width="99" height="15" uuid="48fbe724-13a7-4fad-bb53-a3e3e6023fc6"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nama Salesman]]></text>
			</staticText>
			<line>
				<reportElement x="10" y="0" width="560" height="1" uuid="3120ca89-c58b-45f9-a23f-059bd7f21882"/>
			</line>
			<line>
				<reportElement x="10" y="16" width="560" height="1" uuid="c495e656-2312-4d22-b2e1-b62e41cbad16"/>
			</line>
		</band>
	</columnHeader>
	<detail>
		<band height="15" splitType="Stretch">
			<textField>
				<reportElement x="80" y="1" width="70" height="14" uuid="5e786c12-6b52-4aa7-8add-98a66c6fb6ce"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Nama STNK}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="150" y="1" width="88" height="14" uuid="5d052357-f5b4-4cca-a61d-031d99fd090b"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{idframe}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="238" y="1" width="90" height="14" uuid="59a52c67-2408-4bc1-89b8-a03cef5a1d87"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{idmachine}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="11" y="1" width="69" height="14" uuid="a8cb2ef6-bc7c-4e80-8e02-8cc9329e278f"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tipedoc}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="413" y="1" width="54" height="14" uuid="2e2d0d53-ce5a-40f7-9642-3745bb73f99d"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{policenumber}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="468" y="1" width="99" height="14" uuid="96b6cc4f-0db3-4763-878d-35aa30c8c467"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{namaSales}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="328" y="1" width="84" height="14" uuid="88ac691b-da87-46bb-b412-45563cd1c050"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{itemdes}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="69" splitType="Stretch">
			<staticText>
				<reportElement x="44" y="1" width="100" height="17" uuid="f3a7e802-bb2f-40dc-9b39-b478c29c4067"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Yang Menerima]]></text>
			</staticText>
			<textField>
				<reportElement x="44" y="27" width="100" height="14" uuid="e1da0d7f-1d00-4358-aff6-64c8beeb78a9"/>
				<textElement textAlignment="Center" verticalAlignment="Bottom">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{nama}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="223" y="1" width="100" height="17" uuid="411ef28f-af2f-4580-a3a8-22cfb7e5f7c0"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Yang Menyerahkan]]></text>
			</staticText>
			<staticText>
				<reportElement x="412" y="1" width="100" height="17" uuid="68a908a6-8c06-49e5-bab3-47a4794d5cf4"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Yang Mengetahui]]></text>
			</staticText>
			<textField>
				<reportElement x="223" y="27" width="100" height="14" uuid="ec0ec5df-8bfd-4a8b-9e61-845e64d1934e"/>
				<textElement textAlignment="Center" verticalAlignment="Bottom">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{namaadm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="412" y="27" width="100" height="14" uuid="a6f0546a-8e3c-4175-9b69-e8c77af898ea"/>
				<textElement textAlignment="Center" verticalAlignment="Bottom">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{namaafc}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="1" y="44" width="456" height="24" uuid="2f7fad00-5fed-42f2-9a69-c77daf0c646a"/>
				<textElement>
					<font size="6"/>
				</textElement>
				<text><![CDATA[Keterangan
1. Harus dilampiri fotocopy KTP penerima
2. Jika penerima bukan yang berhak sesuai dengan nama pemesanan (sesuai SPK / VSO), maka harus dilampiri surat kuasa
]]></text>
			</staticText>
		</band>
	</pageFooter>
</jasperReport>
